Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007145TestLinkNew Featurepublic2015-06-02 15:192015-09-19 08:49
Reporterschoenrock 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.13 (2015 #1) 
Fixed in Version1.9.14 (2015 Q3) 
Summary0007145: direct link to test execution results page
DescriptionFor linking external applications (mantis,wiki,...) to testlink I need a direct link to the
"test execution results" page. The current linkto.php doesn't provide it yet.

The target page I mean is:
http://myserver.xyz/testlink/lib/execute/execSetResults.php?version_id=975473&level=testcase&id=975472&setting_build=1012 [^]

The linkto call can be something similar to this:
http://myserver.xyz/testlink/linkto.php?version_id=975473&item=testresults&id=975472&build_id=1012 [^]

In linkto.php there is already a "version" argument, but I didn't know how this is related to the version_id.
I'm not familiar with all those id's so I'm sorry when I misspelled or misunderstood some of those arguments.

The prequesit of this is, that the user have to be logged in to testlink (as for the other "linkto"-links)

Why I need this feature?
I'm already using exisiting direct links provided by linkto.php for different tasks and this helped a lot.
In opposite to that, for the execution result page I have to navigate manually.
This is a time consuming task and unneccessary, when you do it often.
A direct link would be more efficient and time saving.
TagsNo tags attached.
Database (MySQL,Postgres,etc)mysql 5.5.40-0+wheezy1
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Filespng file icon exec-link.png [^] (70,845 bytes) 2015-06-14 10:50

- Relationships
related to 0007146closedfman Possibility to access Specific Execution Information in Print (Read Only) Mode 
child of 0006830closedfman Availables hot-fixes for 1.9.13 & How To get full fixed package from GitHub 

-  Notes
(0023428)
fman (administrator)
2015-06-02 17:26

>> This is a time consuming task and unneccessary, when you do it often.
this kind of sentences add no value to issue reporting, then is clearly explained on all material available in internet that has to be avoided.
Then please avoid.
Try to stick on describing clearly how feature has to work (this is the reported responsibility),
instead of providing ideas about implementation and guessing about parameters.
If you plan to code the solution you have to do it completely, half baked solutions do not help.
(0023432)
schoenrock (reporter)
2015-06-03 09:59
edited on: 2015-06-03 10:01

(thanks for your advice, I'm a developer and not a tester. Normaly I want to look behind the scene and provide help to make things better... so here is my next try for a better report)

Feature:
direct link to the "Test Results on Build ..." page with all surrounding frames for use in external applications.

prerequisite:
- logged in to testlink
- you have a link to specific executed testcase
(to avoid "multiple requests" in that post, i won't describe who generating the link could work)

what should happen:
enter the link in your browser and the "Test Results on Build ..." page open with all the surrounding frames, like this happen when this task is done manualy.

To make it clear which "manual task" I mean, here the steps to show the desired page:
- select desired "test project" from the combo in the upper left
- click "execute tests" from the "Test Execution" panel (now treeview appears)
- select desired item from the treeview
- now the "Test Results on Build" page appears in the right frame

-> this manual steps should be accomplished within a single hyperlink that is usable from outside testlink

(0023498)
fman (administrator)
2015-06-14 10:51

https://github.com/TestLinkOpenSourceTRMS/testlink-code/commit/72e40c041a3255bcee640ebd44a61acf415164e7 [^]
(0023499)
fman (administrator)
2015-06-14 10:52

only thing that has not been implemented is to open the left side tree on the right item, but IMHO is a minor inconvenience that can be fixed in future
(0023508)
schoenrock (reporter)
2015-06-16 08:55

i've tested with latest github version and it works very good for my needs.

thanks a lot!
(0023509)
fman (administrator)
2015-06-16 09:00

great ! think about supporting this work
(0023922)
fman (administrator)
2015-09-19 08:49

1.9.14 Padawan - released - 2015-09-19

- Issue History
Date Modified Username Field Change
2015-06-02 15:19 schoenrock New Issue
2015-06-02 17:26 fman Note Added: 0023428
2015-06-02 17:58 fman Relationship added related to 0007146
2015-06-03 09:59 schoenrock Note Added: 0023432
2015-06-03 10:01 schoenrock Note Edited: 0023432 View Revisions
2015-06-14 10:50 fman File Added: exec-link.png
2015-06-14 10:51 fman QA Team - Task Workflow Status => READY FOR TESTING
2015-06-14 10:51 fman Note Added: 0023498
2015-06-14 10:51 fman Status new => resolved
2015-06-14 10:51 fman Fixed in Version => 1.9.14 (2015 Q3)
2015-06-14 10:51 fman Resolution open => fixed
2015-06-14 10:51 fman Assigned To => fman
2015-06-14 10:52 fman Note Added: 0023499
2015-06-14 11:00 fman Relationship added child of 0006830
2015-06-16 08:55 schoenrock Note Added: 0023508
2015-06-16 09:00 fman Note Added: 0023509
2015-09-19 08:49 fman Note Added: 0023922
2015-09-19 08:49 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker